Subject: Re: [PATCH] xfrm: Remove useless secid field from xfrm_audit.

From: Steffen Klassert <[email-masked]>
Date: Tue, 22 Apr 2014 14:02:56 +0200

On Sat, Apr 19, 2014 at 01:00:27AM +0900, Tetsuo Handa wrote:
> >From 049fe797638a75b902b5c7bb845f6320bc0b47f6 Mon Sep 17 00:00:00 2001
> From: Tetsuo Handa <[email-masked]>
> Date: Fri, 18 Apr 2014 16:23:46 +0900
> Subject: [PATCH] xfrm: Remove useless secid field from xfrm_audit.
> 
> It seems to me that commit ab5f5e8b "[XFRM]: xfrm audit calls" is doing
> something strange at xfrm_audit_helper_usrinfo().
> If secid != 0 && security_secid_to_secctx(secid) != 0, the caller calls
> audit_log_task_context() which basically does
> secid != 0 && security_secid_to_secctx(secid) == 0 case
> except that secid is obtained from current thread's context.
> 
> Oh, what happens if secid passed to xfrm_audit_helper_usrinfo() was
> obtained from other thread's context? It might audit current thread's
> context rather than other thread's context if security_secid_to_secctx()
> in xfrm_audit_helper_usrinfo() failed for some reason.
> 
> Then, are all the caller of xfrm_audit_helper_usrinfo() passing either
> secid obtained from current thread's context or secid == 0?
> It seems to me that they are.
> 
> If I didn't miss something, we don't need to pass secid to
> xfrm_audit_helper_usrinfo() because audit_log_task_context() will
> obtain secid from current thread's context.

Yes, looks like that.

Applied to the ipsec-next tree.

Thanks!